netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
DBD Struct Reference

`#include <dbif.h>`

## Data Fields
DB_ENV * | db_env
struct db_param | db_param
DB_TXN * | db_txn
DBC * | db_cur
char * | db_envhome
char * | db_filename
FILE * | db_errlog
db_table | db_table [DBIF_DB_CNT]

## Field Documentation

## ◆ db_cur

DBC* DBD::db_cur

for dbif_walk

## ◆ db_env

DB_ENV* DBD::db_env

## ◆ db_envhome

char* DBD::db_envhome

## ◆ db_errlog

FILE* DBD::db_errlog

## ◆ db_filename

char* DBD::db_filename

## ◆ db_param

struct db_param DBD::db_param

## ◆ db_table

db_table DBD::db_table[DBIF_DB_CNT]

## ◆ db_txn

DB_TXN* DBD::db_txn

The documentation for this struct was generated from the following file:

- dbif.h